/**
 * OW2 Util
 * Copyright (C) 2010 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: CachedUserInfo.java 5684 2010-11-16 22:10:54Z loris $
 * --------------------------------------------------------------------------
 */
package org.ow2.util.protocol.ssh.impl.jsch;

import com.jcraft.jsch.UserInfo;

/**
 * @author Loris Bouzonnet
 */
public class CachedUserInfo implements UserInfo {

    private final String password;

    private final String passphrase;


    public CachedUserInfo(final String password, final String passphrase) {
        this.password = password;
        this.passphrase = passphrase;
    }

    public String getPassphrase() {
        return passphrase;
    }

    public String getPassword() {
        return password;
    }

    public boolean promptPassword(final String message) {
        return true;
    }

    public boolean promptPassphrase(final String message) {
        return true;
    }

    public boolean promptYesNo(final String message) {
        return true;
    }

    public void showMessage(final String message) {
    }

}
